Export (0) Print
Expand All
This topic has not yet been rated - Rate this topic

ComponentVersionMismatchException Class

The exception that is thrown when the component version stored in the package XML is higher than the version of the component installed on the current computer.

Namespace: Microsoft.SqlServer.Dts.Pipeline
Assembly: Microsoft.SqlServer.PipelineHost (in microsoft.sqlserver.pipelinehost.dll)
[SerializableAttribute] 
public class ComponentVersionMismatchException : ApplicationException
/** @attribute SerializableAttribute() */ 
public class ComponentVersionMismatchException extends ApplicationException
SerializableAttribute 
public class ComponentVersionMismatchException extends ApplicationException

When the version of a component stored in the package XML is less than the version of the component on the computer, the PerformUpgrade method is called providing the component the ability to upgrade.


System.Object
   System.Exception
     System.ApplicationException
      Microsoft.SqlServer.Dts.Pipeline.ComponentVersionMismatchException
Any public static (Shared in Microsoft Visual Basic) members of this type are thread safe. Any instance members are not guaranteed to be thread safe.

Development Platforms

For a list of the supported platforms, see Hardware and Software Requirements for Installing SQL Server 2005.

Target Platforms

Did you find this helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft. All rights reserved.